import { OnChanges } from '@angular/core';
import { ITdEdgeLabel, ITdEmphasis, ITdItemStyle, ITdLabel, ITdLineStyle, ITdMarkArea, ITdMarkLine, ITdMarkPoint, ITdSeries, TdChartOptionsService, TdCoordinateSystem, TdMarkPointSymbol, TdSeriesDirective } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export interface ITdClusteringSeries extends ITdSeries {
    clusterCount: number;
    showCentroids: boolean;
    animation?: boolean;
    animationDelay?: number | Function;
    animationDelayUpdate?: number | Function;
    animationDuration?: number | Function;
    animationDurationUpdate?: number | Function;
    animationEasing?: string;
    animationEasingUpdate?: string;
    animationThreshold?: number;
    bottom?: string | number;
    calendarIndex?: number;
    circular?: object;
    coordinateSystem?: TdCoordinateSystem;
    cursor?: string;
    edgeLabel?: ITdEdgeLabel;
    edges?: any[];
    edgeSymbol?: any[] | string;
    edgeSymbolSize?: number;
    emphasis?: ITdEmphasis;
    focusNodeAdjacency?: boolean;
    geoIndex?: number;
    height?: string | number;
    hoverAnimation?: boolean;
    itemStyle?: ITdItemStyle;
    label?: ITdLabel;
    left?: string | number;
    legendHoverLink?: boolean;
    lineStyle?: ITdLineStyle;
    links?: any[];
    markArea?: ITdMarkArea;
    markLine?: ITdMarkLine;
    markPoint?: ITdMarkPoint;
    nodes?: any[];
    nodeScaleRatio?: boolean;
    polarIndex?: number;
    right?: string | number;
    silent?: boolean;
    symbol?: TdMarkPointSymbol | string;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    symbolRotate?: number;
    symbolSize?: number | any[] | Function;
    top?: string | number;
    width?: string | number;
    xAxisIndex?: number;
    yAxisIndex?: number;
    z?: number;
    zlevel?: number;
}
export declare class TdChartSeriesClusteringComponent extends TdSeriesDirective implements ITdClusteringSeries, OnChanges {
    clusterCount: number;
    showCentroids: boolean;
    bottom?: string | number;
    calendarIndex?: number;
    circular?: object;
    coordinateSystem?: TdCoordinateSystem;
    cursor?: string;
    edgeLabel?: ITdEdgeLabel;
    edges?: any[];
    edgeSymbol?: any[] | string;
    edgeSymbolSize?: number;
    emphasis?: ITdEmphasis;
    focusNodeAdjacency?: boolean;
    geoIndex?: number;
    height?: string | number;
    hoverAnimation?: boolean;
    itemStyle?: ITdItemStyle;
    label?: ITdLabel;
    left?: string | number;
    legendHoverLink?: boolean;
    lineStyle?: ITdLineStyle;
    links?: any[];
    markArea?: ITdMarkArea;
    markLine?: ITdMarkLine;
    markPoint?: ITdMarkPoint;
    nodes?: any[];
    nodeScaleRatio?: boolean;
    polarIndex?: number;
    right?: string | number;
    silent?: boolean;
    symbol?: TdMarkPointSymbol | string;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    symbolRotate?: number;
    symbolSize?: number | any[] | Function;
    top?: string | number;
    width?: string | number;
    xAxisIndex?: number;
    yAxisIndex?: number;
    z?: number;
    zlevel?: number;
    originalData: any;
    constructor(_optionsService: TdChartOptionsService);
    ngOnChanges(): void;
    getConfig(): any;
    private setOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesClusteringComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesClusteringComponent, "td-chart-series[td-clustering]", never, { "config": "config"; "id": "id"; "name": "name"; "color": "color"; "data": "data"; "animation": "animation"; "animationThreshold": "animationThreshold"; "animationDuration": "animationDuration"; "animationEasing": "animationEasing"; "animationDelay": "animationDelay"; "animationDurationUpdate": "animationDurationUpdate"; "animationEasingUpdate": "animationEasingUpdate"; "animationDelayUpdate": "animationDelayUpdate"; "tooltip": "tooltip"; "clusterCount": "clusterCount"; "showCentroids": "showCentroids"; "bottom": "bottom"; "calendarIndex": "calendarIndex"; "circular": "circular"; "coordinateSystem": "coordinateSystem"; "cursor": "cursor"; "edgeLabel": "edgeLabel"; "edges": "edges"; "edgeSymbol": "edgeSymbol"; "edgeSymbolSize": "edgeSymbolSize"; "emphasis": "emphasis"; "focusNodeAdjacency": "focusNodeAdjacency"; "geoIndex": "geoIndex"; "height": "height"; "hoverAnimation": "hoverAnimation"; "itemStyle": "itemStyle"; "label": "label"; "left": "left"; "legendHoverLink": "legendHoverLink"; "lineStyle": "lineStyle"; "links": "links"; "markArea": "markArea"; "markLine": "markLine"; "markPoint": "markPoint"; "nodes": "nodes"; "nodeScaleRatio": "nodeScaleRatio"; "polarIndex": "polarIndex"; "right": "right"; "silent": "silent"; "symbol": "symbol"; "symbolKeepAspect": "symbolKeepAspect"; "symbolOffset": "symbolOffset"; "symbolRotate": "symbolRotate"; "symbolSize": "symbolSize"; "top": "top"; "width": "width"; "xAxisIndex": "xAxisIndex"; "yAxisIndex": "yAxisIndex"; "z": "z"; "zlevel": "zlevel"; }, {}, never, never, false, never>;
}
